Skip to main content
GET
/
driver-efficiency
/
vehicles
Get Driver efficiency data grouped by vehicles.
curl --request GET \
  --url https://api.samsara.com/driver-efficiency/vehicles \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "vehicleId": "vehicle_001",
      "difficultyScore": {
        "overallScore": "4",
        "topographyScore": "5",
        "vehicleWeightScore": "4"
      },
      "percentageData": {
        "idlingPercentage": 12.8,
        "anticipationPercentage": 9.5,
        "coastingPercentage": 45.6,
        "cruiseControlPercentage": 45.6,
        "greenBandPercentage": 78.9,
        "highGradeRoadDrivingPercentage": 15.3,
        "highTorquePercentage": 23.4,
        "overSpeedPercentage": 5.6,
        "wearFreeBrakePercentage": 88.2
      },
      "rawData": {
        "driveTimeDurationMs": 7200000,
        "engineOnDurationMs": 7500000,
        "idlingDurationMs": 921600,
        "totalBrakeDurationMs": 1022400,
        "anticipationBrakeEventCount": 17,
        "averageVehicleWeightKg": 14500,
        "coastingDurationMs": 1900800,
        "cruiseControlDurationMs": 3283200,
        "greenBandDurationMs": 5683200,
        "highGradeRoadDrivingDurationMs": 1108800,
        "highTorqueDurationMs": 1684800,
        "overSpeedDurationMs": 403200,
        "totalBrakeEventCount": 85,
        "wearFreeBrakeDurationMs": 6340800
      },
      "scoreData": {
        "overallScore": "A",
        "anticipationScore": "C",
        "coastingScore": "C",
        "cruiseControlScore": "B",
        "greenBandScore": "A",
        "highTorqueScore": "A",
        "idlingScore": "B",
        "overSpeedScore": "B",
        "wearFreeBrakeScore": "A"
      }
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startTime
string
required

A start time in RFC 3339 format. Must be in multiple of hours and at least 1 day before endTime. Timezones are supported. Note that the most recent 72 hours of data may still be processing and is subject to change and latency, so it is not recommended to request data for the most recent 72 hours. (Examples: 2019-06-11T19:00:00Z, 2015-09-12T14:00:00-04:00).

endTime
string
required

An end time in RFC 3339 format. Must be in multiple of hours and no later than 3 hours before the current time. Timezones are supported. Note that the most recent 72 hours of data may still be processing and is subject to change and latency, so it is not recommended to request data for the most recent 72 hours. (Examples: 2019-06-13T19:00:00Z, 2015-09-15T14:00:00-04:00).

vehicleIds
string

A filter on the data based on this comma-separated list of vehicle IDs and externalIds. Example: vehicleIds=1234,5678,samsara.vin:1HGBH41JXMN109186

dataFormats
string[]

A comma-separated list of data formats you want to fetch. Valid values: score, raw and percentage. The default data format is score. Example: dataFormats=raw,score

tagIds
string

A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678

parentTagIds
string

A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

Response

OK response.

data
object[]
required

List of driver efficiency data associated with vehicles.

pagination
object
required

Pagination parameters.